Subject: issue 32.1

From: Yakov Rekhter <[email-masked]>
Date: Wed, 25 Sep 2002 10:49:51 -0700

32.1) EGP ORIGIN Clarification
  ----------------------------------------------------------------------------
  Status: No Consensus
  Change: Potentially
  Summary: Proposal to update the EGP ORIGIN section.
  
  Discussion:
  
  This discussion is picked up again in the "Review of draft-ietf-idr-bgp4-17"
  thread, where specific text is proposed:
  
  Old:
  
              "ORIGIN is a well-known mandatory attribute that defines the
              origin of the path information.  The data octet can assume
              the following values:
  
                    Value		Meaning
  
                    0	    IGP - Network Layer Reachability Information
                                 is interior to the originating AS
  
                    1	    EGP - Network Layer Reachability Information
                                 learned via the EGP protocol
  
                    2	    INCOMPLETE - Network Layer Reachability
                                 Information learned by some other means"
  New:
  
              "ORIGIN is a well-known mandatory attribute that defines the
              origin of the path information.  The data octet can assume
              the following values:
  
                    Value		Meaning
  
                    0	    IGP - NLRI was explicitly introduced into bgp
  
                    1	    EGP - this value was administratively
                                 configured to affect policy decisions or
                                 NLRI was learned via the EGP protocol [1]
  
                    2	    INCOMPLETE - NLRI was implicitly introduced
                                        into bgp"
  
  since:
  1) The network command sets the origin to IGP and I remember seeing
  somewhere that only static routes should be set to IGP.
  2) The primary use of EGP value is policy
  3) EGP seems to still exist, anyway even if it does not it is
  not worth re-writing the world.

Since the current text is technically correct, and since the terms
"implicitly introduced" and "explicitly introduced" aren't really
well-defined I think we should just keep the current text.
  
  Also, change:
  "5.1.1 ORIGIN

     ORIGIN is a well-known mandatory attribute.	The ORIGIN attribute
     shall be generated by the autonomous system that originates the
     associated routing information. It shall be included in the UPDATE
     messages of all BGP speakers that choose to propagate this
     information to other BGP speakers."
  
  to:
  "5.1.1 ORIGIN
  
     The value of the ORIGIN attribute shall be set by the speaker
     that originates the associated NLRI.	 Its value shall not be
     changed by any other speaker unless the other speaker is
     administratively configured to do so to affect policy
     decisions."
  
  since:
  1) It is already defined as well-known mandatory attribute.
  2) It may be set differently within the same AS (not saying this is good).
  3) It is commonly used for policy, but by default does not get changed.
  4) Speakers have no choice, it is mandatory.

Please note that issue 33 asks for exactly the opposite. For the
sake of consistency I suggest we keep 5.1.1 as is.